\chapter{Conclusion}
\label{chap:conclusion}

The goal of this thesis was to develop a platform for multi-object manipulation by focusing the acoustic pressure field.
The design of this platform is based on the previous version developed as a part of my Bachelor's thesis.
The previous version could manipulate only one spherical object at a time on a $40\times40$~\si{\milli\metre} manipulation area, reaching speeds of up to \SI{10}{\milli\metre\per\second} \cite{bachelor_thesis}.
The newly developed platform uses four times more transducers than the previous version (a 16-by-16 array compared to an 8-by-8 array), allowing it to manipulate multiple objects at once on a $100\times100$~\si{\milli\metre} manipulation area (as can be seen when tracking the `Double link' trajectory), reaching speeds of up to \SI{20}{\milli\metre\per\second} (see Section~\ref{sec:ball_results}).
Thus, by increasing the number of transducers four times, I have increased the manipulation area more than six times; and by implementing a better-tuned controller, I have increased the maximum speed twice.

Apart from increasing the active manipulation area, the increased number of transducers also makes solving the optimization problem of focusing the acoustic filed computationally more demanding.
As a result, the original BFGS solver could not solve the problem within the control period.
To deal with this problem, I have implemented the LM algorithm with the kernel trick, which is five to nine times faster than the previously used BFGS (see \figref{fig:benchmark}).

The larger manipulation area also allows for the manipulation of more generally shaped, planar objects.
I have developed a mathematical model of acoustophoretic forces and torques acting on these objects.
It turns out that manipulating the planar objects is more complicated than spherical objects, and simple state feedback is insufficient.
Therefore, I have decided to use model predictive control with my own tailored implementation of an efficient solver.
I have also designed an algorithm for assembling the planar objects into predefined formations.
I have experimentally verified that the platform can assemble up to four objects at once (see Section~\ref{sec:ass_results} or the supplementary video linked in Appendix~\ref{sec:video}).

\section{Future improvements}

There are still some unexplored possibilities regarding the planar objects.
Although I have discarded the gradient control because it performed worse on the spherical objects, it may be worthwhile to explore the gradient control of planar objects.
Also, it would be interesting to try if the developed methods for controlling triangular objects work for other shapes as well.
Unfortunately, I was unable to manufacture other shapes in the later stages of my master thesis due to the COVID-19 situation.
